﻿
<div class="modal fade" data-backdrop="static" data-keyboard="false" id="BuildingModal" tabindex="-1" role="dialog" aria-labelledby="BuildingModal" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div id="divLoadingModal"></div>
        <div class="modal-content">
            <div class="modal-header clearfix">
                <button type="button" class="btn btn-danger btn-xs pull-right" onclick="function close(){window.location.reload(true)};close()"><span class="glyphicon glyphicon-remove"></span></button>
                <h4 class="modal-title text-center" style="color: darkblue;"><b >@Resources.Content.Building</b></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-6">
                        <input id="buildingid" name="buildingid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <div class="form-group">
                            <label for="buildingname">@Resources.Content.Name</label>
                            <input id="buildingname" name="buildingname" placeholder="Enter Floor No" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                    <div class="col-md-6">
                        <input id="Floorid" name="Floorid" type="text" style="display: none;" disabled="disabled" value="" class="form-control" />
                        <div class="form-group">
                            <label for="buildingnamekh">@Resources.Content.NameKh</label>
                            <input id="buildingnamekh" name="buildingnamekh" placeholder="Enter Floor No" type="text" value="" class="form-control input-sm" style="min-width: 100%" />
                        </div>
                    </div>
                </div>
                <button type="button" id="btnAddBuilding" onclick="AddBuildingAction();" class="btn btn-primary btn-sm"><span class="glyphicon glyphicon-plus"></span> @Resources.Content.AddNew</button>
                <button type="button" id="btnSaveBuilding" onclick="SaveBuildingAction();" class="btn btn-info btn-sm"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
                <button type="button" id="btnUpdateBuilding" onclick="UpdateBuildingAction();" class="btn btn-success btn-sm"><span class="glyphicon glyphicon-refresh"></span> @Resources.Content.Update</button>
                <hr />
                <div class="row"> 
                    <div class="col-md-12">
                        <table class="table-hover table-bordered table-condensed table-striped" style="width:100%" id="tableBuilding">
                            <thead>
                                <tr>
                                    <th>@Resources.Content.No</th>
                                    <th>@Resources.Content.Name</th>
                                    <th>@Resources.Content.NameKh</th>
                                    <th style="width:10%">@Resources.Content.Action</th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>

    </div>
</div>
<script>
    function AddBuildingAction() {
        $('#btnAddBuilding').hide();
        $('#btnSaveBuilding').show();
        $('#btnUpdateBuilding').hide();

        document.getElementById('buildingname').readOnly = false;
        document.getElementById('buildingnamekh').readOnly = false;
        $('#buildingname').val('');
        $('#buildingnamekh').val('');
        $('#buildingname').focus();
    }

    function SaveBuildingAction() {
        var res = validateForm();
        if (res == false) {
            return false;
        }
        var data = {
            buildingname: $('#buildingname').val(),
            buildingnamekh: $('#buildingnamekh').val(),
        };
        $.ajax({
            url: "/api/buildings",
            data: JSON.stringify(data),
            type: "POST",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                toastr.success("Insert record successfully!", "Server Respond")
                tableBuilding.DataTable().ajax.reload();

                $('#buildingname').val('');
                $('#buildingnamekh').val('');

                document.getElementById('buildingname').readOnly = true;
                document.getElementById('buildingnamekh').readOnly = true;

                $('#btnAddBuilding').show();
                $('#btnSaveBuilding').hide();
                $('#btnUpdateBuilding').hide();
            },
            error: function (errormesage) {
                toastr.error("Insert record faild...!" + errormesage, "Server Respond");
            }
        });
    }
    function UpdateBuildingAction() {
        var res = validateForm();
        if (res == false) {
            return false;
        }

        var data = {
            id: $('#buildingid').val(),
            buildingname: $('#buildingname').val(),
            buildingnamekh: $('#buildingnamekh').val(),
        };
        $.ajax({
            url: "/api/buildings/" + data.id,
            data: JSON.stringify(data),
            type: "PUT",
            contentType: "application/json;charset=utf-8",
            dataType: "json",
            success: function (result) {
                tableBuilding.DataTable().ajax.reload();
                toastr.success("Update record successfully!", "Server Respond")

                $('#buildingname').val('');
                $('#buildingnamekh').val('');

                document.getElementById('buildingname').readOnly = true;
                document.getElementById('buildingnamekh').readOnly = true;

                $('#btnAddBuilding').show();
                $('#btnSaveBuilding').hide();
                $('#btnUpdateBuilding').hide();
            },
            error: function (errormesage) {
                toastr.error("Bad Request!", "Server Respond");
            }
        });
    }
</script>

